#if !defined(AFX_X25ROUTER_H__349BD535_9D79_11D1_8602_46FC43000000__INCLUDED_)
#define AFX_X25ROUTER_H__349BD535_9D79_11D1_8602_46FC43000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// x25router.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CX25RouterPage dialog

class CX25RouterPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CX25RouterPage)

// Construction
protected:
	CX25RouterPage();
public:
	CX25RouterPage(CX25Router* pRouter);
	~CX25RouterPage();

// Dialog Data
	//{{AFX_DATA(CX25RouterPage)
	enum { IDD = IDD_X25ROUTER };
	CListBox	m_RoutesList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CX25RouterPage)
	public:
	virtual void OnOK();
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	
// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CX25RouterPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
// attributes
private:

	CRoutingTable m_RoutingTable;
	CAliasMap m_AliasMap;
	CX25Router* m_pRouter;

};
/////////////////////////////////////////////////////////////////////////////
// CRouteDlg dialog

class CRouteDlg : public CDialog
{
// Construction
public:
	CRouteDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CRouteDlg)
	enum { IDD = IDD_ROUTEDLG };
	CComboBox	m_RoutingAliasList;
	CString	m_Address;
	//}}AFX_DATA
	CString m_Alias;
	CAliasMap *m_AliasMap;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRouteDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRouteDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_X25ROUTER_H__349BD535_9D79_11D1_8602_46FC43000000__INCLUDED_)
